# Uses of Enum Class
javafx.scene.control.Alert.AlertType

Packages that use Alert.AlertType
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of Alert.AlertType in javafx.scene.control

Methods in javafx.scene.control that return Alert.AlertType
Modifier and Type
Method
Description
`final Alert.AlertType`
Alert.`getAlertType()`
Gets the value of the `alertType` property.
`static Alert.AlertType`
Alert.AlertType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Alert.AlertType[]`
Alert.AlertType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control that return types with arguments of type Alert.AlertType
Modifier and Type
Method
Description
`final ObjectProperty<Alert.AlertType>`
Alert.`alertTypeProperty()`
When creating an Alert instance, users must pass in an `Alert.AlertType` enumeration value.
Methods in javafx.scene.control with parameters of type Alert.AlertType
Modifier and Type
Method
Description
`final void`
Alert.`setAlertType(Alert.AlertType alertType)`
Sets the value of the `alertType` property.
Constructors in javafx.scene.control with parameters of type Alert.AlertType
Modifier
Constructor
Description
``
`Alert(Alert.AlertType alertType)`
Creates an alert with the given AlertType (refer to the `Alert.AlertType` documentation for clarification over which one is most appropriate).
``
`Alert(Alert.AlertType alertType, String contentText, ButtonType... buttons)`
Creates an alert with the given contentText, ButtonTypes, and AlertType (refer to the `Alert.AlertType` documentation for clarification over which one is most appropriate).